package com.gic.haoban.manage.api.dto.welcome.qdto;

import java.io.Serializable;

/**
 * desc：保存加好友配置qdto
 *
 * @author: YongEn
 * @date: 2022/2/11
 **/
public class SaveFriendSettingQDTO implements Serializable {
    private static final long serialVersionUID = 7952875026726340084L;
    /**
     * 加好友配置id
     */
    private Long friendSettingId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语配置类型 ：
     * 1 发送好办欢迎语文案+小程序卡片(附带导购参数)
     * 2 发送好办欢迎语文案+公众号二维码(附带导购参数)
     * 3 发送好办欢迎语文案
     * 4 不发送好办欢迎语，用企微欢迎语
     */
    private Integer friendSettingType;
    /**
     * 更新人id
     */
    private String updateId;
    /**
     * 更新人名称
     */
    private String updateName;

    public Long getFriendSettingId() {
        return friendSettingId;
    }

    public void setFriendSettingId(Long friendSettingId) {
        this.friendSettingId = friendSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getFriendSettingType() {
        return friendSettingType;
    }

    public void setFriendSettingType(Integer friendSettingType) {
        this.friendSettingType = friendSettingType;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    @Override
    public String toString() {
        return "SaveFriendSettingQDTO{" +
                "friendSettingId=" + friendSettingId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", friendSettingType=" + friendSettingType +
                ", updateId='" + updateId + '\'' +
                ", updateName='" + updateName + '\'' +
                '}';
    }
}
